How to load commerical roms in Moonshell 2.10?

Discussion in 'NDS - Emulation and Homebrew' started by peppero01, Feb 17, 2010.

  1. peppero01
    OP

    peppero01 Member

    Newcomer
    16
    0
    Sep 14, 2009
    I've scoured the forums a bit and found that Xenon++ released a method of playing commercial roms, but am confused as to how to install it using the R4 (I remember going through a long bit of steps to make a YsLoader + Moonshell 2.06 setup). If anyone could shed some details and more specific steps, I'd be grateful.

    I also remember... Normatt (?) I don't even know if it's right since I read the thread a long time ago, would release his method of playing commercial roms once 2.10 was released since it's the final version. Did this ever happen?
     
  2. jurassicplayer

    jurassicplayer Completionist Themer

    Member
    4,361
    505
    Mar 7, 2009
    United States
    Pantsuland
    It seems like you missed reading Xenon++'s thread in its entirety.
    Click
    There are fairly clear instructions or you can follow the video near the bottom of the thread (minus a step or something, just look at Xenon++'s post below that).

    As of right now, Normatt hasn't released it just yet, but I'm guessing he will soon.
     
  3. Xenon++

    Xenon++ Taiju Yamada

    Member
    1,394
    2
    Dec 17, 2009
    MoonShell 2.10 cannot be patched with 2.09's (I confirmed with Mr Inactive's (but actually this name means "Ru***** is not active now") term-limitedly-released patch). So possibly Normmatt is analysing again.
     
  4. basher11

    basher11 GBAtemp's Official Vocaloid Lover

    Member
    4,385
    128
    Jun 29, 2009
    United States
    im still waiting for that "hack" that normatt was going to release for this final version of moonshell 2.

    i bet its gonna kick ass.
     
  5. peppero01
    OP

    peppero01 Member

    Newcomer
    16
    0
    Sep 14, 2009
    Thanks for the replies :] Once I find the time, will definitely hook up 2.10 on my card.
     
  6. Normmatt

    Normmatt Former AKAIO Programmer

    Member
    2,142
    544
    Dec 14, 2004
    New Zealand
    I never said I'd release a crack for 2.10 but I will release my 2.08 fix and my 2.09 fix

    Opps forgot to say you need to replace the overlay.dll found in the moonshl2/internal folder with the one in my rar

    EDIT: Fixed 2.08 rar
     
  7. jurassicplayer

    jurassicplayer Completionist Themer

    Member
    4,361
    505
    Mar 7, 2009
    United States
    Pantsuland
    xD now I know what Xenon++ is talking about when he meant patch. Maybe that was what they were talking about on Moonlight's forum that one time...I'm at a loss of how this information is passed without Normatt releasing anything, or maybe he was secretly helping Moonlight make moonshell UNHACKABLE!!! (lol)
     
  8. twiztidsinz

    twiztidsinz Taiju Yamada Fan

    Member
    4,981
    6
    Dec 23, 2008
    United States
    Overlay.dll for v2.08 is the same that is released with Moonshell 2.08.
    CRC-32: ebc32775
    MD5: c8dfb5f32ffabfa673d2de2daef9600b
    SHA-1: b03708960bb9500fbf8d81238da9708d5828d153
     
  9. Normmatt

    Normmatt Former AKAIO Programmer

    Member
    2,142
    544
    Dec 14, 2004
    New Zealand
    Haha opps rar'd the wrong file my bad download it from here
     
  10. Xenon++

    Xenon++ Taiju Yamada

    Member
    1,394
    2
    Dec 17, 2009
    Hooray, The patching theory is the same as Mr Inactive's [​IMG]
     
  11. zulu12

    zulu12 Advanced Member

    Newcomer
    53
    0
    Jul 23, 2009
    United States

    QUOTE(Normmatt @ Jan 9 2010, 01:21 PM)
    Once 2.10 is out i will release my cracks for 2.07/2.08/2.09 and 2.10 as moonlight said he is going to stop working on it.

    Normatt - you did say it on the other thread
     
  12. jurassicplayer

    jurassicplayer Completionist Themer

    Member
    4,361
    505
    Mar 7, 2009
    United States
    Pantsuland
    Whether is said it or not, things change and its not like anyone is paying him for the editing no matter how easy or hard it is. Its not like there are supremely important changes between 2.09 and 2.10 (maybe a couple bug fixes that not many people run into anyways).
     
  13. twiztidsinz

    twiztidsinz Taiju Yamada Fan

    Member
    4,981
    6
    Dec 23, 2008
    United States
    True... But Normatt DID say he would, so his reason of 'I never said I would' isn't true

    Normatt got SERV'D! DANCE OFF!! DANCE OFF!!! DANCE OFF!!!!!
     
  14. Xenon++

    Xenon++ Taiju Yamada

    Member
    1,394
    2
    Dec 17, 2009
    - a couple of bug fixes
    + dozens of bug fixes
    Anyway I'll continue Link Launcher, for AKAIO cannot load mymeloDS (only Chishm's bootlib supports it).
     
  15. dnniwa485

    dnniwa485 GBAtemp Fan

    Member
    458
    1
    Oct 4, 2009
    hmm.. normatt said that he will release his fixes once 2.10 is out... but he didnt say what version though. But im expecting for 2.10 though [​IMG]

    anyway im thankful that normatt release his fixes.

    ..

    scenario..

    i have 3 roms..

    1 - less than a 128kb (which uses the moonshells internal DLDI)
    2 - a demo file which is 2mb
    3 - a commercial rom

    1st case roms did actually boot.. but somehow, homebrews cant.. specially the homebrews that doesnt have DLDI section (it will give you a WSOD) 2nd a 2mb rom didnt boot either,, giving a BSOD) the comercial roms did boot though.. i wonder why?

    just in case this setup did fixed my problem.

    create 3 yasuloader on extlink and name it as:

    _vh.VeryHugeNDSLoader.nds
    _hn.HugeNDSLoader.nds

    and

    nds.YSloaderForMS2.nds (with this i can boot homebrews without problem)

    there... it should boot any roms now without problem
     
  16. basher11

    basher11 GBAtemp's Official Vocaloid Lover

    Member
    4,385
    128
    Jun 29, 2009
    United States
    this is for Moonshell 2.10 right? if so, then this got it working?
     
  17. Normmatt

    Normmatt Former AKAIO Programmer

    Member
    2,142
    544
    Dec 14, 2004
    New Zealand
    No its for 2.09, 2.10 requires a completely different crack and I cant be bothered making one.
     
  18. dnniwa485

    dnniwa485 GBAtemp Fan

    Member
    458
    1
    Oct 4, 2009
    we will be pleased if you make one.. or rather you can teach us how to do it.. (just a suggestion)

    anyway as normmatt says its only for 2.08 and 2.09, the one normmatt that provided one.
     
  19. CannonFoddr

    CannonFoddr Regular GBATemp Lurker

    Member
    4,118
    71
    Sep 23, 2006
    Sitting by computer
    +1 please - I'd like to get the 'DSi screen capture' function in 2.10 (as shown in Moonlights online manual) as it's not in 2.09
     
  20. Dter ic

    Dter ic ~

    Member
    1,757
    45
    Feb 19, 2009
    what does the dsi screen capture thingy do? sorry for being n00bish